shinyUI(fluidPage(
  titlePanel("Reveal communities"),
  
  sidebarLayout(
    sidebarPanel(

      selectInput("format", label = h4("Graph format"), 
                  choices = c("gml", "graphml", "edgelist", "pajek", "ncol", "lgl",
                              "dimacs", "graphdb", "dl")),
      
      br(),
      
      fileInput("graph", label = h4("Graph file")),

      br(),
      
      
      selectInput("community", label = h4("Community method"), 
                  choices = c("leading eigenvector", "greedy", "edge betweenness", 
                              "walktrap", "spinglass", "label propagation", "infomap",
                              "multilevel", "optimal")),
      
      br(),

      conditionalPanel(
        condition = "input.community == 'optimal'",
        helpText("Before clicking the 'Reveal' button", "mind that this method is",
                 tags$b("exponential")), br()),
      
      
      actionButton("plot", "Reveal")

      
      ),
    mainPanel(plotOutput("net"))
  )
))